# OpenLayers.Layer.WMS.Post

Instances of OpenLayers.Layer.WMS.Post are used to retrieve data from OGC Web Mapping Services via HTTP-POST (application/x-www-form-urlencoded). Create a new WMS layer with the OpenLayers.Layer.WMS.Post constructor.

Deprecated. Instead of this layer, use OpenLayers.Layer.WMS with OpenLayers.Tile.Image.maxGetUrlLength configured in the layer’s <OpenLayers.Layer.WMS.tileOptions>.

#### Inherits from

- OpenLayers.Layer.WMS

Summary

OpenLayers.Layer.WMS.Post | Instances of OpenLayers.Layer.WMS.Post are used to retrieve data from OGC Web Mapping Services via HTTP-POST (application/x-www-form-urlencoded).
Properties |
unsupportedBrowsers | {Array} Array with browsers, which should use the HTTP-GET protocol instead of HTTP-POST for fetching tiles from a WMS .
SUPPORTED_TRANSITIONS | {Array} no supported transitions for this type of layer, because it is not possible to modify the initialized tiles (iframes)
usePost | {Boolean}
Constructor |
OpenLayers.Layer.WMS.Post | Creates a new WMS layer object.
Functions |
addTile | addTile creates a tile, initializes it and adds it as iframe to the layer div.

### Properties

### unsupportedBrowsers

{Array} Array with browsers, which should use the HTTP-GET protocol instead of HTTP-POST for fetching tiles from a WMS . Defaults to [“mozilla”, “firefox”, “opera”], because Opera is not able to show transparent images in IFrames and Firefox/Mozilla has some ugly effects of viewport-shaking when panning the map. Both browsers, Opera and Firefox/Mozilla, have no problem with long urls, which is the reason for using POST instead of GET. The strings to pass to this array are the ones returned by <OpenLayers.BROWSER_NAME>.

### SUPPORTED_TRANSITIONS

{Array} no supported transitions for this type of layer, because it is not possible to modify the initialized tiles (iframes)

### usePost

{Boolean}

### Constructor

### OpenLayers.Layer.WMS.Post

Creates a new WMS layer object.

#### Example

>     var wms = new OpenLayers.Layer.WMS.Post(
>      "NASA Global Mosaic",
>      "http://wms.jpl.nasa.gov/wms.cgi",
>      {layers: "modis, global_mosaic"});

#### Parameters

name | {String} A name for the layer
url | {String} Base url for the WMS (e.g. http://wms.jpl.nasa.gov/wms.cgi)
params | {Object} An object with key/value pairs representing the GetMap query string parameters and parameter values.
options | {Object} Hashtable of extra options to tag onto the layer.

### Functions

### addTile

> addTile: function( | bounds,
> | position | )

addTile creates a tile, initializes it and adds it as iframe to the layer div.

#### Parameters

bounds | {OpenLayers.Bounds}
position | {OpenLayers.Pixel}

#### Returns

{OpenLayers.Tile.Image.IFrame} The added OpenLayers.Tile.Image.IFrame

> addTile: function( | bounds,
> | position | )

addTile creates a tile, initializes it and adds it as iframe to the layer div.
Creates a new WMS layer object.
Instances of OpenLayers.Layer.WMS are used to display data from OGC Web Mapping Services.
{Number} If set, requests that would result in GET urls with more characters than the number provided will be made using form-encoded HTTP POST.
Instances of this class represent bounding boxes.
This class represents a screen coordinate, in x and y coordinates
Mixin for tiles that use form-encoded POST requests to get images from remote services.
Close